Categories:
  - System
License: MIT
SourceCode: https://github.com/darshanparajuli/LogcatReader
IssueTracker: https://github.com/darshanparajuli/LogcatReader/issues

AutoName: Logcat Reader
Summary: A simple app to view logs
Description: |-
    Logcat Reader makes it easy to view and save the device logs.

    '''Features:'''

    * Color coded logs based on log priority
    * Search through log messages and tags
    * Option to select from available log buffers¹
    * Save the logs as a simple text file (as you would see via logcat)
    * Dark UI theme (switches on at night automatically by default)

    ¹ May not work on all devices, in which case, the option will simply not be
    present in Settings.

RepoType: git
Repo: https://github.com/darshanparajuli/LogcatReader.git

Builds:
  - versionName: 1.2.0
    versionCode: 14
    commit: v1.2.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.2.1
    versionCode: 17
    commit: v1.2.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 1.2.2
    versionCode: 18
    commit: v1.2.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 1.3.0
    versionCode: 19
    commit: v1.3.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 1.4.1
    versionCode: 21
    commit: v1.4.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 1.5.2
    versionCode: 22
    commit: v1.5.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 1.5.3
    versionCode: 23
    commit: v1.5.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 1.5.4
    versionCode: 24
    commit: v1.5.4
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 1.5.6
    versionCode: 28
    commit: v1.5.6
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 1.6.0
    versionCode: 29
    commit: v1.6.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 1.6.1
    versionCode: 30
    commit: v1.6.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 1.7.0
    versionCode: 31
    commit: v1.7.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 1.7.1
    versionCode: 32
    commit: v1.7.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 1.7.1
CurrentVersionCode: 32
